﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CrmDemoCodeFirst {

  class Program {

    static void Main(string[] args) {

      // We have turned on MySqlMonitor to view executed DDL и DML statements in Devart dbMonitor application
      Devart.Data.MySql.MySqlMonitor monitor = new Devart.Data.MySql.MySqlMonitor() { IsActive = true };

      //--------------------------------------------------------------
      // You use the capability for configuring the behavior of the EF-provider:
      Devart.Data.MySql.Entity.Configuration.MySqlEntityProviderConfig config = Devart.Data.MySql.Entity.Configuration.MySqlEntityProviderConfig.Instance;
      // Now, you switch off schema name generation while generating DDL scripts and DML:
      config.Workarounds.IgnoreSchemaName = true;
      //--------------------------------------------------------------

      //--------------------------------------------------------------
      // You can set up a connection string for DbContext in different ways.
      // It can be placed into the app.config (web.config) file.
      // The connection string name must be identical to the DbContext descendant name.
      // <add name="MySqlContext" connectionString="User Id=root;Password=root;Host=db;Port=3309;Database=test" providerName="Devart.Data.MySql" />
      // After that, you create a context instance, while a connection string is enabled automatically:
      // MyDbContext context = new MyDbContext();
      //---------------------------------------------------------------

      MyDbContext context = new MySqlContext();
      Queries queries = new Queries();

      Console.WriteLine("dotConnect for MySQL : Entity Framework 6 Code-First sample");
      Console.WriteLine();

      queries.GetCategoriesByPrice(context);
      Console.WriteLine();

      queries.GetOrdersSince2007(context);
      Console.ReadKey();
    }
  }
}
