﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CrmDemoCodeFirst {

  class Program {

    static void Main(string[] args) {

      // We have turned on PgSqlMonitor to view executed DDL и DML statements in Devart dbMonitor application
      Devart.Data.PostgreSql.PgSqlMonitor monitor = new Devart.Data.PostgreSql.PgSqlMonitor() { IsActive = true };

      //--------------------------------------------------------------
      // You use the capability for configuring the behavior of the EF-provider:
      Devart.Data.PostgreSql.Entity.Configuration.PgSqlEntityProviderConfig config = Devart.Data.PostgreSql.Entity.Configuration.PgSqlEntityProviderConfig.Instance;
      // Now, you switch off schema name generation while generating DDL scripts and DML:
      config.Workarounds.IgnoreSchemaName = true;
      //--------------------------------------------------------------

      // You can set up a connection string for DbContext in different ways. In this application 
      // we placed it to the app.config file. Connection string name is the DbContext descendant name. 
      // <add name="MyPgSqlContext" connectionString="User Id=postgres;Password=postgres;Host=db;Port=5434;Database=test;Schema=public;" providerName="Devart.Data.PostgreSql" />

      MyDbContext context = new MyPgSqlContext();
      Queries queries = new Queries();

      Console.WriteLine("dotConnect for PostgreSQL : Entity Framework 6 Code-First sample");
      Console.WriteLine();

      queries.GetCategoriesByPrice(context);
      Console.WriteLine();

      queries.GetOrdersSince2007(context);
      Console.ReadKey();
    }
  }
}
